ここの情報は古いです。ご理解頂いた上でお取り扱いください。

Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#3576 closed enhancement (fixed)

リクエストをgadgets.io.ContentType.FEEDに対応するようにする

Reported by: ShogoKawahara Owned by: ShogoKawahara
Priority: minor Milestone:
Component: plugins Version: 3.0.x
Keywords: opOpenSocialPlugin Cc:

Description

現在、gadget.io.makeRequest()でgadgets.io.ContentType?.FEEDで要求するとShinidgがZend_Feedを利用するため、エラーが発生してしまう。

Zend_Feedか、別の手段を利用して正しくレスポンスが返るようにする。

Change History (3)

comment:1 Changed 12 years ago by ShogoKawahara

Status: newassigned

comment:2 Changed 12 years ago by ShogoKawahara

Resolution: fixed
Status: assignedclosed

r10627

にて、コアのlib/vendor/Zend以下にある、Zend_Feedをロードするようにしました。

ただし、Zend_FeedがRSS1.0には対応していないため、iGoogleにあるRSS1.0を呼び出しているアプリケーションの一部は動作しない状態です。

ひとまずはクローズ。

comment:3 Changed 12 years ago by ebihara

Milestone: OpenPNE3.0.1
Note: See TracTickets for help on using tickets.